<template>
<body class="contenido">
  <vue-headful title="Hack a Flight | HOME" />
  <div class="mainbox">
    <img src="../assets/logo.png" alt="Logo Hack a Flight" />
    <h1>HACK A FLIGHT</h1>
    <div class="msg">
      <button class="button">
        <a href="/#/search">Empieza a buscar</a>
      </button>
    </div>
  </div>
</body>
</template>

<script>
// @ is an alias to /src
import HomeCustom from "@/components/HomeCustom.vue";

export default {
  name: "Home",
  components: {
    HomeCustom,
  },
};
</script>

<style scoped>
.btn {
  background-color: black;
  border: 0;
  border-radius: 10px;
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.2);
  color: #fff;
  font-size: 22px;
  padding: 12px 12px;
  position: absolute;
  bottom: 10px;
  right: 30px;
  letter-spacing: 1px;
}
.btn:hover {
  opacity: 0.4;
}
a {
  color: white;
  text-decoration: none;
}
body {
  /* Aquí el origen de la imagen */
  background-image: url(../assets/4101795.jpg);

  /* Fijar la imagen de fondo este vertical y
    horizontalmente y centrado */
  background-position: center center;

  /* Esta imagen no debe de repetirse */
  background-repeat: no-repeat;

  /* COn esta regla fijamos la imagen en la pantalla. */
  background-attachment: fixed;

  /* La imagen ocupa el 100% y se reescala */
  background-size: cover;

  /* Damos un color de fondo mientras la imagen está cargando  */
  background-color: #464646;
}
.contenido {
  padding-top: 50px;
  text-align: center;
}
.mainbox {
  background-color: rgba(255, 255, 255, 0.7);
  text-align: center;
  margin: auto;
  height: 900px;
  width: 600px;
}
.msg {
  text-align: center;
  font-family: "Source Sans Pro", sans-serif;
  position: absolute;
  left: 16%;
  top: 40%;
  width: 75%;
}
@media only screen and (max-width: 767px) {
  body {
    background-image: url(../assets/4101795.jpg);
  }
}
</style>